#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf2782439, "module_layout" },
	{ 0xd2f86635, "platform_driver_unregister" },
	{ 0xc0e3ebcc, "__platform_driver_register" },
	{ 0xbdfd9e06, "i2c_recover_bus" },
	{ 0x55588344, "dma_sync_single_for_cpu" },
	{ 0x9aeb7a07, "dma_sync_single_for_device" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xee59cd08, "_dev_warn" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x94b09271, "pm_runtime_irq_safe" },
	{ 0x815588a6, "clk_enable" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xdc07a1d2, "devm_clk_bulk_get" },
	{ 0x21a5fa02, "dev_err_probe" },
	{ 0x4f3829c1, "__devm_reset_control_get" },
	{ 0x367fe758, "__pm_runtime_disable" },
	{ 0x8736a41b, "i2c_add_numbered_adapter" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa916b694, "strnlen" },
	{ 0xceedc282, "set_primary_fwnode" },
	{ 0x5a510053, "__pm_runtime_idle" },
	{ 0xb25064b4, "__pm_runtime_resume" },
	{ 0x4ffc19e9, "pm_runtime_enable" },
	{ 0x62341049, "of_device_is_compatible" },
	{ 0x41ab7c60, "device_property_present" },
	{ 0xf63692a9, "i2c_parse_fw_timings" },
	{ 0xc0b31992, "devm_request_threaded_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x245bc23b, "platform_get_irq" },
	{ 0xc422d4f8, "devm_platform_get_and_ioremap_resource" },
	{ 0x47cc4c23, "device_get_match_data" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x158de7e1, "devm_kmalloc" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x346443b6, "pinctrl_pm_select_default_state" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x83d88ab7, "is_acpi_device_node" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xdcb764ad, "memset" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xfd37e23e, "pm_runtime_force_suspend" },
	{ 0x170f3370, "i2c_del_adapter" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xb1d1a3f4, "_dev_err" },
	{ 0x2721900e, "__dynamic_dev_dbg" },
	{ 0x79f32f0, "dma_alloc_attrs" },
	{ 0xef804a3e, "dma_request_chan" },
	{ 0xa6257a2f, "complete" },
	{ 0x667b18e1, "dma_release_channel" },
	{ 0x189c5c91, "dma_free_attrs" },
	{ 0xcdaea5b9, "pinctrl_pm_select_idle_state" },
	{ 0x479f7d4b, "clk_bulk_disable" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:NVDA0101:*");
MODULE_ALIAS("acpi*:NVDA0201:*");
MODULE_ALIAS("acpi*:NVDA0301:*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-vi");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c-viC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2cC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c-dvc");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-i2c-dvcC*");

MODULE_INFO(srcversion, "4655FDA5417DBF8349CD21A");
MODULE_INFO(rhelversion, "9.5");
